package jesse.keeblarcraft.AttributeMgr.AttributeNodes.FactionNodes;

import java.util.HashMap;
import java.util.List;

import jesse.keeblarcraft.AttributeMgr.AttributeNodes.AbstractNode;
import jesse.keeblarcraft.FactionMgr.Callbacks.PlayerInBaseCallback;
import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.server.network.ServerPlayerEntity;
import net.minecraft.server.world.ServerWorld;
import net.minecraft.text.Text;
import net.minecraft.util.ActionResult;

public class FactionFlight extends AbstractNode {
    private final int flightSpeed = 1;
    private ServerPlayerEntity player;

    @Override
    public String GetNodeTitle() {
        return "faction_flight";
    }

    @Override
    public String GetNodeDescription() {
        return "This is a temporary-unlock value when you are around your factions home base block and it has flight unlocked for members!";
    }

    @Override
    public HashMap<String, List<String>> GetDetails() {
        HashMap<String, List<String>> ret = new HashMap<String, List<String>>();
        ret.put("Faction Flight", List.of("Grants flight when near faction base if faction has it unlocked"));
        return ret;
    }

    @Override
    public void RegisterCallbacks(ServerPlayerEntity playerObj, ServerWorld worldObj) {
        PlayerInBaseCallback.EVENT.register((player, world) -> {
            player.sendMessage(Text.of("Welcome home! Feel free to fly around!"));
            return ActionResult.SUCCESS;
        });
    }

}
